PHP Manual
Prev |  | Next

# dbplus_next

(4.1.0 - 4.2.3 only, PECL)

dbplus_next -- Get next tuple from relation

## Description

int dbplus_next ( resource relation, array &tuple )

Reads the data for the next tuple for the given `relation`, makes it the current tuple and will pass it back as an associative array in `tuple`.

## Parameters

`relation`

  A relation opened by dbplus_open().

`tuple`

## Return Values

Returns `DBPLUS_ERR_NOERR` on success or a db++ error code on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

dbplus_first()
dbplus_curr()
dbplus_prev()
dbplus_last()

Prev | Home | Next
dbplus_lockrel | Up | dbplus_open